import request from '@/axios'
export default {
  /**
   * 
   * @param {*} data 
   * @returns 
   * 购物车列表
   */
   cartList(data) {
    return request({
			url: '/base/cart/list',
			method: 'get',
			params: data
		})
  },
  /**
   * 
   * @param {*} data 
   * @returns 
   * 删除购物车
   */
  cartDelete(data) {
    return request({
      url: '/base/cart/delete/'+data,
      method: 'post'
    })
  },

  /**
   * 
   * @param {*} data 
   * @returns 
   * 获取班级
   */
  goodsGradeList(data) {
		return request({
			url: '/grade/grade/list',
			method: 'get',
			params: data
		})
	},
  /**
   * 
   * @param {*} data 
   * @returns 
   * 获取省份
   */
  getProvinceList(data) {
		return request({
			url: '/apply/areas/list',
			method: 'get',
			params: data
		})
	},

  /**
   * 
   * @param {*} data 
   * @returns 
   * 获取城市
   */
	getCityList(data) {
		return request({
			url: '/apply/areas/cityList',
			method: 'get',
			params: data
		})
	},
  
  /**
   * 
   * @param {*} data 
   * @returns 
   * 获取考期 
   */
	getExamineList(data) {
		return request({
			url: '/course/examine/list',
			method: 'get',
			params: data
		})
	},

  /**
   * 
   * @param {*} data 
   * @returns 
   * 加入购物车
   */
  addCart(data) {
		return request({
			url: '/base/cart',
			method: 'post',
			data: data
		})
	},

  /**
	 * @param {Object} data
	 * 查看锁定状态
	 */
	lockLockStatus(data) {
		return request({
			url: '/lock/lockStatus',
			method: 'post',
			data: data,
		})
	},

  lockLockAction(data) {
		return request({
			url: '/lock/lockAction',
			method: 'post',
			data: data
		})
	},

  getApplysubscribe(data) {
		return request({
			url: '/apply/subscribe',
			method: 'get',
			params: data
		})
	},

  courseperiodrebuild(data) {
		return request({
			url: '/course/period/rebuild',
			method: 'post',
			data: data
		})
	},

  
	//查询用户拥有商品的学时记录
	getcourseperiodlistGoods(data) {
		return request({
			url: '/course/period/listGoods',
			method: 'get',
			params: data
		})
	},

  /**
	 * @param {Object} data
	 * 查询用户证书列表
	 */
	getUserCertificateList(data) {
		return request({
			url: '/user/certificate/list',
			method: 'get',
			params: data
		})
	},
  
}